# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # 3-D Secure response codes Error codes help you debug issues that occur as a result of sending badly formatted requests. The `responseMessage` is a short string that provides a brief explanation. The following tables list the available reason codes, as well as their possible causes. The following fields are in the body of the response: - responseStatus: Valid values include: SUCCESS, DENIED, or ERROR. SUCCESS means the request was approved by the issuer or completed successfully. ERROR is only returned for 4XX or 5XX responses. - responseCode: This field contains a shorter description of the processing result. For 200 responses, this may be displayed to the consumer. - responseMessage: This field contains a longer, more descriptive message. These messages are not intended to be displayed to the consumer. - hostMessage: The term "host" refers to the system from which J.P. Morgan has received a response. The hostMessage is mapped to J.P. Morgan’s response fields, but the unaltered message is returned, if received. For 5XX responses, the presence of this field indicates where the error exists. ## Successful responses (200-299) In general, a `200`** **status code indicates that a request has successfully processed. > To determine whether a transaction was approved or declined, you will need to review the `responseStatus` field to identify whether or not the issuer has approved the transaction (`SUCCESS` or `DENIED`). > **HTTP 200 status codes — 3-D Secure (3DS) API** | HTTP status | responseCode | responseMessage | | --- | --- | --- | | 200 | CREATED | Authentication initialized | | 200 | CHALLENGE_REQUIRED | Challenge required | | 200 | CHALLENGE_REQUIRED | Challenge required — decoupled authentication confirmed | | 200 | ACCEPTED | Authentication successful | | 200 | ACCEPTED | Not authenticated | | 200 | ACCEPTED | Unable to complete authentication | | 200 | ACCEPTED | Attempts processing performed | | 200 | ACCEPTED | Informational only | | 200 | DO_NOT_HONOR | Authentication rejected — Do not submit for authorization | ## Client error responses (400-499) A `4XX`** **status code indicates that an error has occurred during a request, and provides a list of specific codes. Additional fields are provided in the body of the response to help identify the error. Address the problem and resubmit the request. **HTTP 4XX status codes — 3DS API** | HTTP status | responseStatus | responseCode | responseMessage | | --- | --- | --- | --- | | 400 | ERROR | VALIDATION_ERROR | Request contains validation error | | 400 | ERROR | MISSING_FIELD | Required field is missing | | 400 | ERROR | INVALID_CONTENT | Invalid data passed in the request | | 400 | ERROR | INVALID_DATA | Duplicate field | | 400 | ERROR | INVALID_DATA | Invalid data passed in the request | | 400 | ERROR | UNSUPPORTED_ACTION | MCC is not supported for requested action | | 400 | ERROR | DUPLICATE | Duplicate transaction | | 400 | ERROR | UNSUPPORTED_ACTION | Merchant is not configured for authentications | | 400 | ERROR | DATA_COLLECTION_IN_PROGRESS | Data collection in progress | | 400 | ERROR | ALREADY_AUTHENTICATED | Authentication has already been completed | | 400 | ERROR | UNSUPPORTED_ACTION | authenticationId not found | ## Server error responses (500-599) A `5XX` status code indicates that an error has occurred within the J.P. Morgan (or acquirer) environment during the request. Additional fields are provided in the body of the response to identify the error. **HTTP 5XX status codes — 3DS API** | HTTP status | responseStatus | responseCode | responseMessage | | --- | --- | --- | --- | | 503 | ERROR | HOST_ERROR | Message version number not supported | | 503 | ERROR | HOST_ERROR | Unspecified error at the host | | 503 | ERROR | SERVICE_UNAVAILABLE | Service is unavailable | | 503 | ERROR | HOST_ERROR | Unrecognized response from the host | | 503 | ERROR | HOST_ERROR | Service is unavailable | | 504 | ERROR | TIMEOUT | Request timeout | ## Related [3DS API specification](/api/commerce/optimization-protection/3-d-secure/3-d-secure)